1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. getVmHostAffinityPoliciesV2
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg

    List VM-Host Affinity policies details with support for pagination, filtering, and sorting.

    Example

    import * as pulumi from "@pulumi/pulumi";
    import * as nutanix from "@pierskarsenbarg/nutanix";
    
    // List all VM-Host Affinity policies
    const allPolicies = nutanix.getVmHostAffinityPoliciesV2({});
    // List with pagination
    const paginatedPolicies = nutanix.getVmHostAffinityPoliciesV2({
        page: 0,
        limit: 10,
    });
    // List with filtering
    const filteredPolicies = nutanix.getVmHostAffinityPoliciesV2({
        filter: "name eq 'my-policy'",
    });
    // List with ordering
    const sortedPolicies = nutanix.getVmHostAffinityPoliciesV2({
        orderBy: "name asc",
    });
    // List with multiple filters
    const complexPolicies = nutanix.getVmHostAffinityPoliciesV2({
        filter: "startswith(name, 'prod-')",
        orderBy: "create_time desc",
        page: 0,
        limit: 20,
    });
    
    import pulumi
    import pulumi_nutanix as nutanix
    
    # List all VM-Host Affinity policies
    all_policies = nutanix.get_vm_host_affinity_policies_v2()
    # List with pagination
    paginated_policies = nutanix.get_vm_host_affinity_policies_v2(page=0,
        limit=10)
    # List with filtering
    filtered_policies = nutanix.get_vm_host_affinity_policies_v2(filter="name eq 'my-policy'")
    # List with ordering
    sorted_policies = nutanix.get_vm_host_affinity_policies_v2(order_by="name asc")
    # List with multiple filters
    complex_policies = nutanix.get_vm_host_affinity_policies_v2(filter="startswith(name, 'prod-')",
        order_by="create_time desc",
        page=0,
        limit=20)
    
    package main
    
    import (
    	"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		// List all VM-Host Affinity policies
    		_, err := nutanix.GetVmHostAffinityPoliciesV2(ctx, &nutanix.GetVmHostAffinityPoliciesV2Args{}, nil)
    		if err != nil {
    			return err
    		}
    		// List with pagination
    		_, err = nutanix.GetVmHostAffinityPoliciesV2(ctx, &nutanix.GetVmHostAffinityPoliciesV2Args{
    			Page:  pulumi.IntRef(0),
    			Limit: pulumi.IntRef(10),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// List with filtering
    		_, err = nutanix.GetVmHostAffinityPoliciesV2(ctx, &nutanix.GetVmHostAffinityPoliciesV2Args{
    			Filter: pulumi.StringRef("name eq 'my-policy'"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// List with ordering
    		_, err = nutanix.GetVmHostAffinityPoliciesV2(ctx, &nutanix.GetVmHostAffinityPoliciesV2Args{
    			OrderBy: pulumi.StringRef("name asc"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// List with multiple filters
    		_, err = nutanix.GetVmHostAffinityPoliciesV2(ctx, &nutanix.GetVmHostAffinityPoliciesV2Args{
    			Filter:  pulumi.StringRef("startswith(name, 'prod-')"),
    			OrderBy: pulumi.StringRef("create_time desc"),
    			Page:    pulumi.IntRef(0),
    			Limit:   pulumi.IntRef(20),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Nutanix = PiersKarsenbarg.Nutanix;
    
    return await Deployment.RunAsync(() => 
    {
        // List all VM-Host Affinity policies
        var allPolicies = Nutanix.GetVmHostAffinityPoliciesV2.Invoke();
    
        // List with pagination
        var paginatedPolicies = Nutanix.GetVmHostAffinityPoliciesV2.Invoke(new()
        {
            Page = 0,
            Limit = 10,
        });
    
        // List with filtering
        var filteredPolicies = Nutanix.GetVmHostAffinityPoliciesV2.Invoke(new()
        {
            Filter = "name eq 'my-policy'",
        });
    
        // List with ordering
        var sortedPolicies = Nutanix.GetVmHostAffinityPoliciesV2.Invoke(new()
        {
            OrderBy = "name asc",
        });
    
        // List with multiple filters
        var complexPolicies = Nutanix.GetVmHostAffinityPoliciesV2.Invoke(new()
        {
            Filter = "startswith(name, 'prod-')",
            OrderBy = "create_time desc",
            Page = 0,
            Limit = 20,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.nutanix.NutanixFunctions;
    import com.pulumi.nutanix.inputs.GetVmHostAffinityPoliciesV2Args;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            // List all VM-Host Affinity policies
            final var allPolicies = NutanixFunctions.getVmHostAffinityPoliciesV2(GetVmHostAffinityPoliciesV2Args.builder()
                .build());
    
            // List with pagination
            final var paginatedPolicies = NutanixFunctions.getVmHostAffinityPoliciesV2(GetVmHostAffinityPoliciesV2Args.builder()
                .page(0)
                .limit(10)
                .build());
    
            // List with filtering
            final var filteredPolicies = NutanixFunctions.getVmHostAffinityPoliciesV2(GetVmHostAffinityPoliciesV2Args.builder()
                .filter("name eq 'my-policy'")
                .build());
    
            // List with ordering
            final var sortedPolicies = NutanixFunctions.getVmHostAffinityPoliciesV2(GetVmHostAffinityPoliciesV2Args.builder()
                .orderBy("name asc")
                .build());
    
            // List with multiple filters
            final var complexPolicies = NutanixFunctions.getVmHostAffinityPoliciesV2(GetVmHostAffinityPoliciesV2Args.builder()
                .filter("startswith(name, 'prod-')")
                .orderBy("create_time desc")
                .page(0)
                .limit(20)
                .build());
    
        }
    }
    
    variables:
      # List all VM-Host Affinity policies
      allPolicies:
        fn::invoke:
          function: nutanix:getVmHostAffinityPoliciesV2
          arguments: {}
      # List with pagination
      paginatedPolicies:
        fn::invoke:
          function: nutanix:getVmHostAffinityPoliciesV2
          arguments:
            page: 0
            limit: 10
      # List with filtering
      filteredPolicies:
        fn::invoke:
          function: nutanix:getVmHostAffinityPoliciesV2
          arguments:
            filter: name eq 'my-policy'
      # List with ordering
      sortedPolicies:
        fn::invoke:
          function: nutanix:getVmHostAffinityPoliciesV2
          arguments:
            orderBy: name asc
      # List with multiple filters
      complexPolicies:
        fn::invoke:
          function: nutanix:getVmHostAffinityPoliciesV2
          arguments:
            filter: startswith(name, 'prod-')
            orderBy: create_time desc
            page: 0
            limit: 20
    
    pulumi {
      required_providers {
        nutanix = {
          source = "pulumi/nutanix"
        }
      }
    }
    
    data "nutanix_getvmhostaffinitypoliciesv2" "allPolicies" {
    }
    data "nutanix_getvmhostaffinitypoliciesv2" "paginatedPolicies" {
      page  = 0
      limit = 10
    }
    data "nutanix_getvmhostaffinitypoliciesv2" "filteredPolicies" {
      filter = "name eq 'my-policy'"
    }
    data "nutanix_getvmhostaffinitypoliciesv2" "sortedPolicies" {
      order_by = "name asc"
    }
    data "nutanix_getvmhostaffinitypoliciesv2" "complexPolicies" {
      filter   = "startswith(name, 'prod-')"
      order_by = "create_time desc"
      page     = 0
      limit    = 20
    }
    
    # List all VM-Host Affinity policies
    # List with pagination
    # List with filtering
    # List with ordering
    # List with multiple filters
    

    Using getVmHostAffinityPoliciesV2

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getVmHostAffinityPoliciesV2(args: GetVmHostAffinityPoliciesV2Args, opts?: InvokeOptions): Promise<GetVmHostAffinityPoliciesV2Result>
    function getVmHostAffinityPoliciesV2Output(args: GetVmHostAffinityPoliciesV2OutputArgs, opts?: InvokeOptions): Output<GetVmHostAffinityPoliciesV2Result>
    def get_vm_host_affinity_policies_v2(filter: Optional[str] = None,
                                         limit: Optional[int] = None,
                                         order_by: Optional[str] = None,
                                         page: Optional[int] = None,
                                         opts: Optional[InvokeOptions] = None) -> GetVmHostAffinityPoliciesV2Result
    def get_vm_host_affinity_policies_v2_output(filter: pulumi.Input[Optional[str]] = None,
                                         limit: pulumi.Input[Optional[int]] = None,
                                         order_by: pulumi.Input[Optional[str]] = None,
                                         page: pulumi.Input[Optional[int]] = None,
                                         opts: Optional[InvokeOptions] = None) -> Output[GetVmHostAffinityPoliciesV2Result]
    func GetVmHostAffinityPoliciesV2(ctx *Context, args *GetVmHostAffinityPoliciesV2Args, opts ...InvokeOption) (*GetVmHostAffinityPoliciesV2Result, error)
    func GetVmHostAffinityPoliciesV2Output(ctx *Context, args *GetVmHostAffinityPoliciesV2OutputArgs, opts ...InvokeOption) GetVmHostAffinityPoliciesV2ResultOutput

    > Note: This function is named GetVmHostAffinityPoliciesV2 in the Go SDK.

    public static class GetVmHostAffinityPoliciesV2 
    {
        public static Task<GetVmHostAffinityPoliciesV2Result> InvokeAsync(GetVmHostAffinityPoliciesV2Args args, InvokeOptions? opts = null)
        public static Output<GetVmHostAffinityPoliciesV2Result> Invoke(GetVmHostAffinityPoliciesV2InvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetVmHostAffinityPoliciesV2Result> getVmHostAffinityPoliciesV2(GetVmHostAffinityPoliciesV2Args args, InvokeOptions options)
    public static Output<GetVmHostAffinityPoliciesV2Result> getVmHostAffinityPoliciesV2(GetVmHostAffinityPoliciesV2Args args, InvokeOptions options)
    
    fn::invoke:
      function: nutanix:index/getVmHostAffinityPoliciesV2:getVmHostAffinityPoliciesV2
      arguments:
        # arguments dictionary
    data "nutanix_getvmhostaffinitypoliciesv2" "name" {
        # arguments
    }

    The following arguments are supported:

    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'prod-') would filter on policy names starting with 'prod-'. The filter can be applied to the following fields:
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'prod-') would filter on policy names starting with 'prod-'. The filter can be applied to the following fields:
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'prod-') would filter on policy names starting with 'prod-'. The filter can be applied to the following fields:
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'prod-') would filter on policy names starting with 'prod-'. The filter can be applied to the following fields:
    limit Integer
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    page Integer
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'prod-') would filter on policy names starting with 'prod-'. The filter can be applied to the following fields:
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    filter str
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'prod-') would filter on policy names starting with 'prod-'. The filter can be applied to the following fields:
    limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by str
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'prod-') would filter on policy names starting with 'prod-'. The filter can be applied to the following fields:
    limit Number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    page Number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.

    getVmHostAffinityPoliciesV2 Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    Policies List<PiersKarsenbarg.Nutanix.Outputs.GetVmHostAffinityPoliciesV2Policy>
    List of all VM-Host Affinity policies
    Filter string
    Limit int
    OrderBy string
    Page int
    Id string
    The provider-assigned unique ID for this managed resource.
    Policies []GetVmHostAffinityPoliciesV2Policy
    List of all VM-Host Affinity policies
    Filter string
    Limit int
    OrderBy string
    Page int
    id string
    The provider-assigned unique ID for this managed resource.
    policies list(object)
    List of all VM-Host Affinity policies
    filter string
    limit number
    order_by string
    page number
    id String
    The provider-assigned unique ID for this managed resource.
    policies List<GetVmHostAffinityPoliciesV2Policy>
    List of all VM-Host Affinity policies
    filter String
    limit Integer
    orderBy String
    page Integer
    id string
    The provider-assigned unique ID for this managed resource.
    policies GetVmHostAffinityPoliciesV2Policy[]
    List of all VM-Host Affinity policies
    filter string
    limit number
    orderBy string
    page number
    id str
    The provider-assigned unique ID for this managed resource.
    policies Sequence[GetVmHostAffinityPoliciesV2Policy]
    List of all VM-Host Affinity policies
    filter str
    limit int
    order_by str
    page int
    id String
    The provider-assigned unique ID for this managed resource.
    policies List<Property Map>
    List of all VM-Host Affinity policies
    filter String
    limit Number
    orderBy String
    page Number

    Supporting Types

    GetVmHostAffinityPoliciesV2Policy

    CreateTime string
    The timestamp when the policy was created.
    CreatedBy Dictionary<string, string>
    Information about the entity that created the policy.
    Description string
    A description of the VM-Host Affinity policy.
    ExtId string
    The external identifier of the VM-Host Affinity policy.
    HostCategories List<string>
    List of host category external IDs that define where the VMs can be placed.
    LastUpdatedBy Dictionary<string, string>
    Information about the entity that last updated the policy.
    Name string
    The name of the VM-Host Affinity policy.
    NumCompliantVms int
    Number of VMs which are compliant with the VM-host affinity policy.
    NumHosts int
    Number of hosts associated with the VM-host affinity policy.
    NumNonCompliantVms int
    Number of VMs which are not compliant with the VM-host affinity policy.
    NumVms int
    Number of VMs associated with the VM-host affinity policy.
    UpdateTime string
    The timestamp when the policy was last updated.
    VmCategories List<string>
    List of VM category external IDs that this policy applies to.
    CreateTime string
    The timestamp when the policy was created.
    CreatedBy map[string]string
    Information about the entity that created the policy.
    Description string
    A description of the VM-Host Affinity policy.
    ExtId string
    The external identifier of the VM-Host Affinity policy.
    HostCategories []string
    List of host category external IDs that define where the VMs can be placed.
    LastUpdatedBy map[string]string
    Information about the entity that last updated the policy.
    Name string
    The name of the VM-Host Affinity policy.
    NumCompliantVms int
    Number of VMs which are compliant with the VM-host affinity policy.
    NumHosts int
    Number of hosts associated with the VM-host affinity policy.
    NumNonCompliantVms int
    Number of VMs which are not compliant with the VM-host affinity policy.
    NumVms int
    Number of VMs associated with the VM-host affinity policy.
    UpdateTime string
    The timestamp when the policy was last updated.
    VmCategories []string
    List of VM category external IDs that this policy applies to.
    create_time string
    The timestamp when the policy was created.
    created_by map(string)
    Information about the entity that created the policy.
    description string
    A description of the VM-Host Affinity policy.
    ext_id string
    The external identifier of the VM-Host Affinity policy.
    host_categories list(string)
    List of host category external IDs that define where the VMs can be placed.
    last_updated_by map(string)
    Information about the entity that last updated the policy.
    name string
    The name of the VM-Host Affinity policy.
    num_compliant_vms number
    Number of VMs which are compliant with the VM-host affinity policy.
    num_hosts number
    Number of hosts associated with the VM-host affinity policy.
    num_non_compliant_vms number
    Number of VMs which are not compliant with the VM-host affinity policy.
    num_vms number
    Number of VMs associated with the VM-host affinity policy.
    update_time string
    The timestamp when the policy was last updated.
    vm_categories list(string)
    List of VM category external IDs that this policy applies to.
    createTime String
    The timestamp when the policy was created.
    createdBy Map<String,String>
    Information about the entity that created the policy.
    description String
    A description of the VM-Host Affinity policy.
    extId String
    The external identifier of the VM-Host Affinity policy.
    hostCategories List<String>
    List of host category external IDs that define where the VMs can be placed.
    lastUpdatedBy Map<String,String>
    Information about the entity that last updated the policy.
    name String
    The name of the VM-Host Affinity policy.
    numCompliantVms Integer
    Number of VMs which are compliant with the VM-host affinity policy.
    numHosts Integer
    Number of hosts associated with the VM-host affinity policy.
    numNonCompliantVms Integer
    Number of VMs which are not compliant with the VM-host affinity policy.
    numVms Integer
    Number of VMs associated with the VM-host affinity policy.
    updateTime String
    The timestamp when the policy was last updated.
    vmCategories List<String>
    List of VM category external IDs that this policy applies to.
    createTime string
    The timestamp when the policy was created.
    createdBy {[key: string]: string}
    Information about the entity that created the policy.
    description string
    A description of the VM-Host Affinity policy.
    extId string
    The external identifier of the VM-Host Affinity policy.
    hostCategories string[]
    List of host category external IDs that define where the VMs can be placed.
    lastUpdatedBy {[key: string]: string}
    Information about the entity that last updated the policy.
    name string
    The name of the VM-Host Affinity policy.
    numCompliantVms number
    Number of VMs which are compliant with the VM-host affinity policy.
    numHosts number
    Number of hosts associated with the VM-host affinity policy.
    numNonCompliantVms number
    Number of VMs which are not compliant with the VM-host affinity policy.
    numVms number
    Number of VMs associated with the VM-host affinity policy.
    updateTime string
    The timestamp when the policy was last updated.
    vmCategories string[]
    List of VM category external IDs that this policy applies to.
    create_time str
    The timestamp when the policy was created.
    created_by Mapping[str, str]
    Information about the entity that created the policy.
    description str
    A description of the VM-Host Affinity policy.
    ext_id str
    The external identifier of the VM-Host Affinity policy.
    host_categories Sequence[str]
    List of host category external IDs that define where the VMs can be placed.
    last_updated_by Mapping[str, str]
    Information about the entity that last updated the policy.
    name str
    The name of the VM-Host Affinity policy.
    num_compliant_vms int
    Number of VMs which are compliant with the VM-host affinity policy.
    num_hosts int
    Number of hosts associated with the VM-host affinity policy.
    num_non_compliant_vms int
    Number of VMs which are not compliant with the VM-host affinity policy.
    num_vms int
    Number of VMs associated with the VM-host affinity policy.
    update_time str
    The timestamp when the policy was last updated.
    vm_categories Sequence[str]
    List of VM category external IDs that this policy applies to.
    createTime String
    The timestamp when the policy was created.
    createdBy Map<String>
    Information about the entity that created the policy.
    description String
    A description of the VM-Host Affinity policy.
    extId String
    The external identifier of the VM-Host Affinity policy.
    hostCategories List<String>
    List of host category external IDs that define where the VMs can be placed.
    lastUpdatedBy Map<String>
    Information about the entity that last updated the policy.
    name String
    The name of the VM-Host Affinity policy.
    numCompliantVms Number
    Number of VMs which are compliant with the VM-host affinity policy.
    numHosts Number
    Number of hosts associated with the VM-host affinity policy.
    numNonCompliantVms Number
    Number of VMs which are not compliant with the VM-host affinity policy.
    numVms Number
    Number of VMs associated with the VM-host affinity policy.
    updateTime String
    The timestamp when the policy was last updated.
    vmCategories List<String>
    List of VM category external IDs that this policy applies to.

    Package Details

    Repository
    nutanix pierskarsenbarg/pulumi-nutanix
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the nutanix Terraform Provider.
    nutanix logo
    Viewing docs for Nutanix v0.16.0
    published on Tuesday, May 26, 2026 by Piers Karsenbarg

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial